net.sf.jasperreports.data.cache

## Class ColumnDataSnapshot

- java.lang.Object
- - net.sf.jasperreports.data.cache.ColumnDataSnapshot

- All Implemented Interfaces:
    java.io.Serializable, DataSnapshot

      public class ColumnDataSnapshot
      extends java.lang.Object
      implements DataSnapshot, java.io.Serializable

  Version:
    $Id: ColumnDataSnapshot.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnDataSnapshot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCachedData(java.lang.Object key, ColumnCacheData data)`
    `CachedDataset` | `getCachedData(java.lang.Object key)`
    `boolean` | `hasCachedData(java.lang.Object key)`
    `boolean` | `isPersistable()`
    `void` | `setPersistable(boolean persistable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnDataSnapshot

          public ColumnDataSnapshot()

  - ### Method Detail

    - #### hasCachedData

          public boolean hasCachedData(java.lang.Object key)

      Specified by:
        `hasCachedData` in interface `DataSnapshot`

    - #### getCachedData

          public CachedDataset getCachedData(java.lang.Object key)
                                      throws DataSnapshotException

      Specified by:
        `getCachedData` in interface `DataSnapshot`
      Throws:
        `DataSnapshotException`

    - #### addCachedData

          public void addCachedData(java.lang.Object key,
                           ColumnCacheData data)

    - #### isPersistable

          public boolean isPersistable()

      Specified by:
        `isPersistable` in interface `DataSnapshot`

    - #### setPersistable

          public void setPersistable(boolean persistable)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com